Project

General

Profile

prewikka update from 5.1 to 5.2.0

Added by Andrew Goldy over 1 year ago

Hello Guys,

I' ve updated the components of prelude to 5.2 from 5.1.
Only problem I got prewikka gives some errors when opened. The first is probably due to the lack of authentication in 5.1 and the auth feature back in 5.2? How could be this solved?

I've run prewikka-updatedb-5.2 as well.

Another issue on last pic but I think when I could login to prewikka again, then refreshing plugins hopefully solves this.

Many thanks!

Andrew



prew3.PNG View (10.2 KB)

prew.PNG View (12.6 KB)

prew2.PNG View (16.3 KB)


Replies (2)

RE: prewikka update from 5.1 to 5.2.0 - Added by Antoine LUONG over 1 year ago

Hello,

It seems the DBAuth plugin failed to start, was there any errors prior to the logs you posted?

If not, it could mean that there is some interference by old files regarding setuptools entry points.
Can you check the contents of /usr/lib/pythonX.Y/site-packages/prewikka-*.egg-info/entry_points.txt (or similar)?

Regards

RE: prewikka update from 5.1 to 5.2.0 - Added by Andrew Goldy over 1 year ago

Hello,

Thanks for the suggestions I've checked error logs and I've found the passlib missing. After installing the auth page and everything work great. Very cool stuff, lets forget htpasswd, finally. :)

Another question: after update the apps from prewikka, Elastic related plugins give errors like:

prewikka.pluginmanager WARNING: ElasticsearchLogPlugin: plugin loading failed: Could not find a valid configuration for Elasticsearch log type.
prewikka (pid:3056) prewikka.pluginmanager WARNING: LogDataSearch: plugin loading failed: No backend available for 'log' datatype

I don't use Elastic, can I simply disable these plugins?

Many thanks!

Andrew

    (1-2/2)